<bugID>986684<Summary>Don't load socialchat.xml on startup</Summary><Description>Per https://groups.google.com/forum/#!topic/mozilla.dev.platform/sAuhWQOAWic, we should avoid loading socialchat.xml on startup if Social is not being used. To do that I think we just need to remove the &lt;chatbar id="pinnedchats"&gt; from browser.xul and create it dynamically when it's accessed.

I haven't checked if something tries to access it at startup anyway which would make the dynamic creation pointless. If that's the case then there'd be more work to do.</Description></bugID>